//
//  InscriptionLegendView.swift
//  PadelClub
//
//  Created by razmig on 15/01/2025.
//

import SwiftUI

struct InscriptionLegendView: View {
    @Environment(\.dismiss) private var dismiss

    var body: some View {
        NavigationView {
            List {
                Section {
                    Label("Inscrit en ligne", systemImage: "circle.fill").foregroundStyle(.green)
                } footer: {
                    Text("Icône indiquant que le joueur s'est inscrit en ligne.")
                }
                
                Section {
                    ForEach(RoundRule.colors.prefix(6).indices, id: \.self) { colorIndex in
                        Text("Équipe placée en \(RoundRule.roundName(fromRoundIndex: colorIndex))")
                            .listRowView(isActive: true, color: Color(uiColor: .init(fromHex: RoundRule.colors[colorIndex])), hideColorVariation: true, alignment: .leading)
                    }
                }
                
                Section {
                    Text("Équipe placée en poule")
                        .listRowView(isActive: true, color: .blue, hideColorVariation: true, alignment: .leading)
                    
                }
                
                Section {
                    Text("Équipe estimée en tableau")
                        .listRowView(isActive: true, color: .mint, hideColorVariation: true, alignment: .leading)
                    Text("Équipe estimée en poule")
                        .listRowView(isActive: true, color: .indigo, hideColorVariation: true, alignment: .leading)
                    
                }
                
                Section {
                    Text("Équipe en liste d'attente")
                        .listRowView(isActive: true, color: .grayNotUniversal, hideColorVariation: true, alignment: .leading)
                    Text("Équipe forfaite")
                        .listRowView(isActive: true, color: .logoRed, hideColorVariation: true, alignment: .leading)
                }
                
                Section {
                    Text("Équipe ayant un joueur à vérifier")
                        .listRowView(isActive: true, color: .logoRed, hideColorVariation: true, backgroundColor: .logoRed, alignment: .leading)
                } footer: {
                    Text("Une fois que vous avez importé votre fichier, Padel Club vous affiche ainsi les équipes ayant des joueurs ne provenant pas du fichier ni de la base fédérale.")
                }

                Section {
                    Text("Équipe ayant un joueur ne provenant pas du fichier beach-padel")
                        .listRowView(isActive: true, color: .beigeNotUniversal, hideColorVariation: true, backgroundColor: .beigeNotUniversal, alignment: .leading)
                } footer: {
                    Text("Une fois que vous avez importé votre fichier, Padel Club vous affiche ainsi les équipes ayant des joueurs ne provenant pas du fichier.")
                }

            }
            .headerProminence(.increased)
            .navigationTitle("Légende")
            .navigationBarTitleDisplayMode(.inline)
            .toolbarBackground(.visible, for: .navigationBar)
            .navigationBarItems(trailing: Button("Fermer") {
                dismiss()
            })
        }
    }
}
